# Make a module and provide some skeleton adapters, factories, and tools
from OFS.Folder import Folder
from Acquisition import Implicit

from Products.Five.site.localsite import FiveSite

# We need some Zope2 stuff to make and test a real catalog
from Testing.ZopeTestCase import Zope2
# We need a couple of index Products
Zope2.installProduct('ExtendedPathIndex')
Zope2.installProduct('ZCTextIndex')
Zope2.installProduct('ManagableIndex')
# A catalog needs a zope, sadly.
app = Zope2.app()

# A dummy mailing list which acts as a possible Site
# interface and the views.
class FakeMailingList(Implicit, Folder, FiveSite):

    mailto = None

    def __init__(self, id):
        self.id = id

    def manage_mailboxer(self, request):
        return 'Success %s'%self.mailto
